发布时间 :2005-05-16 00:00:00
修订时间 :2013-11-01 21:38:01

[原文]Buffer overflow in Apple iTunes before 4.8 allows remote attackers to execute arbitrary code via a crafted MPEG4 file.

[CNNVD]Apple iTunes MPEG4解析缓冲区溢出漏洞(CNNVD-200505-1040)

        Apple iTunes是一款媒体播放程序。
        iTunes 4.8之前版本的MPEG4文件解析代码中存在缓冲区溢出漏洞,攻击者可能利用畸形的MPEG4文件在用户机器上执行任意指令。

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:apple:itunes:4.7.1Apple iTunes 4.7.1
cpe:/a:apple:itunes:4.6Apple iTunes 4.6
cpe:/a:apple:itunes:4.7Apple iTunes 4.7
cpe:/a:apple:itunes:4.5Apple iTunes 4.5

- OVAL (用于检测的技术细节)

oval:org.mitre.oval:def:17304Buffer overflow in Apple iTunes before 4.8 allows remote attackers to execute arbitrary code via a crafted MPEG4 file

- 官方数据库链接
(官方数据源) MITRE
(官方数据源) NVD
(官方数据源) CNNVD

- 其它链接及资源
(VENDOR_ADVISORY)  XF  apple-itunes-mpeg4-bo(20498)
(UNKNOWN)  VUPEN  ADV-2005-0504

- 漏洞信息

Apple iTunes MPEG4解析缓冲区溢出漏洞
高危 缓冲区溢出
2005-05-16 00:00:00 2005-10-20 00:00:00
        Apple iTunes是一款媒体播放程序。
        iTunes 4.8之前版本的MPEG4文件解析代码中存在缓冲区溢出漏洞,攻击者可能利用畸形的MPEG4文件在用户机器上执行任意指令。

- 公告与补丁


- 漏洞信息

Apple iTunes MPEG-4 File Parsing Overflow
Remote / Network Access Input Manipulation
Loss of Integrity Upgrade
Exploit Unknown Vendor Verified

- 漏洞描述

A remote overflow exists in iTunes. The application fails to perform proper bounds checking resulting in a buffer overflow. With a specially crafted MPEG-4 file, a remote attacker can cause arbitrary code execution resulting in a loss of integrity.

- 时间线

2005-05-09 Unknow
Unknow Unknow

- 解决方案

Upgrade to version 4.8 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

- 漏洞信息

Apple iTunes MPEG4 Parsing Buffer Overflow Vulnerability
Boundary Condition Error 13565
Yes No
2005-05-09 12:00:00 2009-07-12 02:06:00
Discovery credited to Mark Litchfield of NGS Software.

- 受影响的程序版本

Apple iTunes 4.7.1
Apple iTunes 4.7
Apple iTunes 4.6
Apple iTunes 4.5
Apple iTunes 4.2 .72
Apple iTunes 4.8

- 不受影响的程序版本

Apple iTunes 4.8

- 漏洞讨论

Apple iTunes MPEG4 file parsing is prone to a buffer overflow. A specifically malformed MPEG4 file could trigger this overflow, causing a denial of service or execution of arbitrary code.

This vulnerability was addressed in iTunes 4.8; all earlier versions are likely affected.

- 漏洞利用

Currently we are not aware of any exploits for this issue. If you feel we are in error or are aware of more recent information, please mail us at: <>.

- 解决方案

Apple has released iTunes 4.8 to address this vulnerability.

Apple iTunes 4.2 .72

Apple iTunes 4.5

Apple iTunes 4.6

Apple iTunes 4.7

Apple iTunes 4.7.1

- 相关参考